## Apache Zeta Components Manual :: Docs For Class ezcDebugXdebugStacktraceIterator

### Debug::ezcDebugXdebugStacktraceIterator

### Class ezcDebugXdebugStacktraceIterator

Iterator class to wrap around debug_backtrace() stack traces.

This iterator class receives a stack trace generated by debug_backtrace() and unifies it as described in the ezcDebugStacktraceIterator interface.

Source for this file: /Debug/src/stacktrace/xdebug_iterator.php

    ezcDebugStacktraceIterator
       |
       --ezcDebugXdebugStacktraceIterator

Version: | //autogen//

### Inherited Member Variables

From ezcDebugStacktraceIterator
protected | `ezcDebugStacktraceIterator::$options`

### Method Summary

protected array | `prepare( $stackTrace , $removeElements )` Prepares the stack trace for being stored in the iterator instance.
protected array | `unifyStackElement( $stackElement )` Unifies a stack element for being returned to the formatter.

### Inherited Methods

From ezcDebugStacktraceIterator
public void | `ezcDebugStacktraceIterator::__construct()` Creates a new stack trace iterator.
public int | `ezcDebugStacktraceIterator::count()` Returns the number of elements in the iterator.
public mixed | `ezcDebugStacktraceIterator::current()` Returns the currently selected element of the iterator.
public mixed | `ezcDebugStacktraceIterator::key()` Returns the key of the currently selected element of the iterator.
public mixed | `ezcDebugStacktraceIterator::next()` Advances the iterator to the next element.
public bool | `ezcDebugStacktraceIterator::offsetExists()` Returns if the given offset exists.
public mixed | `ezcDebugStacktraceIterator::offsetGet()` Returns the value assigned to the given offset.
public void | `ezcDebugStacktraceIterator::offsetSet()` It is not allowed to use this method with this iterator.
public void | `ezcDebugStacktraceIterator::offsetUnset()` It is not allowed to use this method with this iterator.
protected void | `ezcDebugStacktraceIterator::prepare()` Prepares the stack trace for being stored in the iterator instance.
public mixed | `ezcDebugStacktraceIterator::rewind()` Resets the iterator to the first element.
protected abstract array | `ezcDebugStacktraceIterator::unifyStackElement()` Unifies a stack element for being returned to the formatter.
public bool | `ezcDebugStacktraceIterator::valid()` Returns if the iterator is on a valid element or at the end.

### Methods

#### prepare

array prepare( array $stackTrace , int $removeElements )

Prepares the stack trace for being stored in the iterator instance.

This method reverses the received $stackTrace, which was created by the Xdebug (http://xdebug.org) debugging extension for PHP, to unify the stacktrace with the one created by ezcDebugPhpStacktraceIterator. Number $removeElements are removed from the top of the $stackTrace.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$stackTrace` | array |
`$removeElements` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcDebugStacktraceIterator::prepare()` | Prepares the stack trace for being stored in the iterator instance.

#### unifyStackElement

array unifyStackElement( mixed $stackElement )

Unifies a stack element for being returned to the formatter.

This method ensures that an element of the stack trace conforms to the format expected by a ezcDebugOutputFormatter. The format is defined as follows:

1. array(
2. 'file'=>'<fullpathtofile>',
3. 'line'=> <lineno>,
4. 'function'=>'<functionname>',
5. 'class'=>'<classname>',
6. 'params'=>array(
7. <param_no> =>'<paramvalueinfo>',
8. <param_no> =>'<paramvalueinfo>',
9. <param_no> =>'<paramvalueinfo>',
10. ...
11. )
12. )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$stackElement` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDebugStacktraceIterator::unifyStackElement()` | Unifies a stack element for being returned to the formatter.

Documentation generated by phpDocumentor 1.4.3